MDL-55259 core: removed lib/password_compat/lib/password.php
authorMark Nelson <markn@moodle.com>
Wed, 18 Jul 2018 07:21:09 +0000 (15:21 +0800)
committerMark Nelson <markn@moodle.com>
Wed, 18 Jul 2018 08:18:48 +0000 (16:18 +0800)
lib/password_compat/lib/password.php [deleted file]
lib/upgrade.txt
lib/upgradelib.php

diff --git a/lib/password_compat/lib/password.php b/lib/password_compat/lib/password.php
deleted file mode 100644 (file)
index a49a2e1..0000000
+++ /dev/null
@@ -1,29 +0,0 @@
-<?php
-// This file is part of Moodle - http://moodle.org/
-//
-// Moodle is free software: you can redistribute it and/or modify
-// it under the terms of the GNU General Public License as published by
-// the Free Software Foundation, either version 3 of the License, or
-// (at your option) any later version.
-//
-// Moodle is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
-
-/**
- * Deprecation notice for password_compat.
- *
- * @package    core
- * @copyright  2016 Andrew Nicols <andrew@nicols.co.uk>
- * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
- */
-
-defined('MOODLE_INTERNAL') || die();
-
-debugging('password_compat is now standard in all versions of PHP that Moodle supports. '
-    . 'You no longer need to include the lib/password_compat/lib/password.php',
-    DEBUG_DEVELOPER);
index 5d29d4c..cb9be97 100644 (file)
@@ -1,6 +1,10 @@
 This files describes API changes in core libraries and APIs,
 information provided here is intended especially for developers.
 
+=== 3.6 ===
+
+* Removed the lib/password_compat/lib/password.php file.
+
 === 3.5 ===
 
 * There is a new privacy API that every subsystem and plugin has to implement so that the site can become GDPR
index 13ab17a..8dc6d31 100644 (file)
@@ -430,6 +430,8 @@ function upgrade_stale_php_files_present() {
     global $CFG;
 
     $someexamplesofremovedfiles = array(
+        // Removed in 3.6.
+        '/lib/password_compat/lib/password.php',
         // Removed in 3.5.
         '/lib/dml/mssql_native_moodle_database.php',
         '/lib/dml/mssql_native_moodle_recordset.php',